var classRegExp = function (className) {
    return new RegExp("(^|\\s+)" + className.toString().trim() + "(\\s+|$)", 'g');
};
export var hasClass = function (el, className) {
    return classRegExp(className).test(el.className);
};
export var addClass = function (el, className) {
    var classNames = className.split(' ');
    classNames.length > 1
        ? classNames.forEach(function (className) { return addClass(el, className); })
        : hasClass(el, className) ||
            (el.className = (el.className + " " + className).trim());
};
export var removeClass = function (el, className) {
    el.className = el.className.replace(classRegExp(className), ' ').trim();
};
//# sourceMappingURL=utils.js.map